Subject: IPP> Re: JMP> jmJobState and jmJobStateReasonsTC [ISSUE: Are there any mandatory job states?]

From: Tom Hastings <[email-masked]>
Date: Tue, 27 May 1997 09:36:25 PDT

If a simple output device implements IPP and doesn't queue or spool, wouldn't
the jobs in that output device never be in pending?  Such a device would
refuse acceptance of another job, while it was processing its current job.
That is why pending is conditionally mandatory in IPP and therfore also in 
JMP.

Would it help to indicate that if an implementation queues or spools,
that it shall implement the 'pending' state jobs that are queued or spooled
but are not yet processing?

Tom

At 12:26 05/25/97 PDT, JK Martin wrote:
>What happened to "pending" as a mandatory job state?  I certainly hope
>we don't relegate this important state to the "Conditionally Mandatory"
>realm.
>
>> The current draft lists processing, needsAttention, canceled, and completed
>> as Mandatory.  Since needsAttention has gone away, that leaves three
>> states as mandatory:  processing, canceled, and completed.  Since we added
>> aborted, I assume that aborted should be added to the mandatory list.
>> 
>> The complicance at the end of the Job MIB spec also lists these states.
>>
>> [...snip...]
>> 
>> Tom
>
>